#!/usr/bin/ksh
# SimonsWare Scripted Install for DSTAgent
# Version 1.2.3

VERSION=1.2.3
until [[ "$STARTINSTALL" = "y" || "$STARTINSTALL" = "Y" ]]
do
  clear
  ESYN=""
  ASYN=""
  DSYN=""

  print "                      ****************************"
  print "                      *      DSTAgent Install    *"
  print "                      *       Version $VERSION      *"
  print "                      ****************************"
  print ""
  print "         This script will install DSTAgent on this machine."
  print "         Leaving any entry blank and pressing Enter will immediately"
  print "         exit the script."
  print ""
  print ""
  read JAVAPATH?"    Please enter the path to your Java install         : "
  if [ "$JAVAPATH" = "" ]; then
    exit
  fi
  read APPPATH?"    Enter the path where you want to install DSTAgent  : "
  if [ "$APPPATH" = "" ]; then
    exit
  fi
  read LOGPATH?"    Enter the path where you want to save logs files   : "
  if [ "$LOGPATH" = "" ]; then
    exit
  fi
  read TRACEFILES?"    Enter the path to your dstrace files               : "
  if [ "$TRACEFILES" = "" ]; then
    exit
  fi

  
  print ""
  clear
  print ""
  print ""
  print "                      ****************************"
  print "                      *      DSTAgent Install    *"
  print "                      *       Version $VERSION      *"
  print "                      ****************************"
  print ""
  print "     Is the following information correct?"
  print "     **************************************************************"
  print "     Java location               : $JAVAPATH"
  print "     Application install location: $APPPATH"
  print "     Application Log location    : $LOGPATH"
  print "     DSTrace file location       : $TRACEFILES"
  print ""
  read STARTINSTALL?"     Continue with installation?(y/n) : "
done
print ""
print ""
print "Installing..."
mkdir -p $APPPATH
if [ "$LOGPATH" != "$APPPATH" ]; then
	mkdir -p $LOGPATH
fi
THISDIR=`pwd`
cd $APPPATH
tar -xf $THISDIR/dstagent.tar

print "Creating properties file"
echo "#For Linux/Unix - you may use single forward-slashes (/) in your path" > /$APPPATH/DSTAgent.properties
echo "#	Example: /novell/dstrace/" >> /$APPPATH/DSTAgent.properties
echo "" >> /$APPPATH/DSTAgent.properties
echo "DSTAgent.DSTraceFileLocation=$TRACEFILES" >> /$APPPATH/DSTAgent.properties
echo "DSTAgent.port=8000" >> /$APPPATH/DSTAgent.properties

print "Creating shell script"
echo "JAVA_DIR=$JAVAPATH" > dstagent.sh
echo "APP_PATH=$APPPATH" >> dstagent.sh
echo "LOG_PATH=$LOGPATH" >> dstagent.sh
echo ""  >> dstagent.sh
echo "cd \$APP_PATH" >> dstagent.sh
echo "nohup \$JAVA_DIR/java -Xmx256m -jar \"\$APP_PATH/DSTAgent.jar\" >> \$LOG_PATH/DSTAgent.log & 2>&1" >> dstagent.sh
chmod 555 dstagent.sh

print "Install complete!"
